enum NameStatus {
  Default,
  Returning,
  TooShort,
  Available,
  Unavailable,
  Blocked,
  Restricted,
  DeviceRegistered,
  InvalidCharacters,
}

extension NewSNameStatusUtil on NameStatus {
  /// Checks if NewSNameStatus is Valid
  bool get isValid {
    switch (this) {
      case NameStatus.Available:
        return true;
      default:
        return false;
    }
  }
}

enum NameCheckType {
  All,
  Available,
  Blocked,
  Restricted,
  Unblocked,
  Unrestricted,
  Unavailable,
}
